get manual Treasury movement
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/treasury/movements/{treasury_movement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/treasury/movements/{treasury_movement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/treasury/movements/{treasury_movement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"object": "treasury_movement",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"balance": {
"balance_type": "bank_account",
"balance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"direction": "inflow",
"currency": "ARS",
"native_amount": 123,
"functional_amount": 123,
"functional_currency": "ARS",
"occurred_on": "2023-12-25",
"source_type": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"reference": "<string>",
"note": "<string>",
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distributions": [
{
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_cents": 123
}
],
"statement_line": {
"source": "<string>",
"key": "<string>"
},
"lines": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"cost_center1_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center3_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
],
"rate": {
"value": "<string>",
"rate_date": "2023-12-25",
"source": "bcra"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}get manual Treasury movement
Use native currency cents. USD outflows use carrying value. The path ID is treasury_adjustments.id or treasury_movement_id from lists, not the unified row id. Payments and transfers require their own tools. Registers are excluded.
GET
/
api
/
v1
/
treasury
/
movements
/
{treasury_movement_id}
get manual Treasury movement
Was this page helpful?

